EDIT - bug #8211

Trigger new search when clicking on identifier search
03/28/2019 10:59 AM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.6

Severity: major Found in Version:

Description

in reference search dialog a new search should be triggered if identifier search is clicked

Associated revisions

Revision fbd5dac1 - 04/01/2019 01:14 PM - Katja Luther

fix #8211: trigger new search if identifier search is selected

History

#1 - 04/01/2019 11:36 AM - Katja Luther

- Category set to taxeditor

#2 - 04/01/2019 01:14 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|fbd5dac1173dd4e19ba9e470b3d4726e0275ed08.

#3 - 04/01/2019 01:14 PM - Katja Luther

- Assignee changed from Katja Luther to Patrick Plitzner
please review.

You need some references with additional identifiers.

#4 - 04/03/2019 01:34 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Miiller

- % Done changed from 50 to 90

Tested by switching between identifier and standard search in latest nightly. This works.

#5 - 04/03/2019 06:18 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

For me it does not work. | tested on test/euromed.

Open reference selection dialog,

entered "6069704" => search empty

changed checkbox"Useldentifer" to true => still empty

changed value from "6069704" to "606970" and back to "6069704" => now it shows a record

=> Changing checkbox (action 3) did not trigger correct search

#6 - 04/04/2019 07:54 AM - Patrick Plitzner

- Assignee changed from Katja Luther to Andreas Mdiller
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/fbd5dac1173dd4e19ba9e470b3d4726e0275ed08

Andreas Muller wrote:
For me it does not work. | tested on test/euromed.
e Open reference selection dialog,
¢ entered "6069704" => search empty
e changed checkbox"Useldentifer" to truev => still empty
e changed value from "6069704" to "606970" and back to "6069704" => now it shows a record
=> Changing checkbox (action 3) did not trigger correct search

| just tried the exact same steps with the current nightly on test/euromed and it worked. | opened Rubus barbatus and opened the selection dialog for
the sec reference.

#7 - 04/08/2019 06:55 PM - Andreas Miiller

- Status changed from Feedback to Resolved

#8 - 04/10/2019 03:33 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Katja Luther
now it works

#9 - 04/10/2019 03:33 PM - Andreas Miiller
- % Done changed from 90 to 100
